Subject: Re: bug#77973: 30.1; `which-key' breaks `string-rectangle' after popup shown
From: Eli Zaretskii <[email-masked]>
To: Alcor <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 27 Apr 2025 10:11:09 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Alcor <[email-masked]>
> Cc: Mattias Engdegård <[email-masked]>,
>   [email-masked]
> Date: Wed, 23 Apr 2025 17:33:59 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > My bother with commit 3a8222e is that it uses move-to-column, which
> > might behave in surprising ways when there are 'display' properties,
> > TABs, composed characters, and other display features around.
> >
> > Did someone try the new code in those cases?  If not, I'd like you or
> > someone else to try that first, because I'd like to avoid introducing
> > regressions into Emacs 30.2.
> 
> I tested a cherry-picked 3a8222e with composite emojis and tabs and
> haven't observed any differences vs. plain 30.1 (see attachment). Not
> sure about "other display features" though. And 3a8222e isn't a recent
> change either - it's about ~9 months old, so I'd assume it has been
> incubating long enough for problems to be noticable (?).
> 
> As an alternative, the following more trivial patch can be applied onto
> the emacs-30 branch. It merely binds `rectangle-mark-mode' to nil during
> the `region-bounds' call to protect against infinite recursion (as done
> elsewhere in rect.el):

Thanks, I've now installed this on the emacs-30 branch, and I'm
therefore closing this bug.